| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gclibjava.GclibJava.Gclib Interface Reference

The JNA interface to the gclib library. More...

Inheritance diagram for gclibjava.GclibJava.Gclib:

## Public Member Functions
int | GArrayDownload (Pointer g, String arrayName, int first, int last, String buffer)
int | GArrayUpload (Pointer g, String arrayName, int first, int last, int delim, byte[] response, int len)
int | GCommand (Pointer g, String command, byte[] response, int len, IntByReference bytesReturned)
int | GClose (Pointer g)
int | GFirmwareDownload (Pointer g, String filePath)
int | GInterrupt (Pointer g, ByteByReference statusByte)
int | GMessage (Pointer g, byte[] response, int len)
int | GOpen (String address, PointerByReference g)
int | GProgramDownload (Pointer g, String program, String preprocessor)
int | GProgramUpload (Pointer g, byte[] response, int len)

## Public Attributes
Gclib | INSTANCE
Gclib | SYNC_INSTANCE

## Detailed Description

The JNA interface to the gclib library.

http://galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html

Definition at line 73 of file GclibJava.java.

## Member Function Documentation

## ◆ GArrayDownload()

int gclibjava.GclibJava.Gclib.GArrayDownload | ( | Pointer | g,
|  | String | arrayName,
|  | int | first,
|  | int | last,
|  | String | buffer )

## ◆ GArrayUpload()

int gclibjava.GclibJava.Gclib.GArrayUpload | ( | Pointer | g,
|  | String | arrayName,
|  | int | first,
|  | int | last,
|  | int | delim,
|  | byte[] | response,
|  | int | len )

## ◆ GCommand()

int gclibjava.GclibJava.Gclib.GCommand | ( | Pointer | g,
|  | String | command,
|  | byte[] | response,
|  | int | len,
|  | IntByReference | bytesReturned )

## ◆ GClose()

int gclibjava.GclibJava.Gclib.GClose | ( | Pointer | g | ) |

## ◆ GFirmwareDownload()

int gclibjava.GclibJava.Gclib.GFirmwareDownload | ( | Pointer | g,
|  | String | filePath )

## ◆ GInterrupt()

int gclibjava.GclibJava.Gclib.GInterrupt | ( | Pointer | g,
|  | ByteByReference | statusByte )

## ◆ GMessage()

int gclibjava.GclibJava.Gclib.GMessage | ( | Pointer | g,
|  | byte[] | response,
|  | int | len )

## ◆ GOpen()

int gclibjava.GclibJava.Gclib.GOpen | ( | String | address,
|  | PointerByReference | g )

## ◆ GProgramDownload()

int gclibjava.GclibJava.Gclib.GProgramDownload | ( | Pointer | g,
|  | String | program,
|  | String | preprocessor )

## ◆ GProgramUpload()

int gclibjava.GclibJava.Gclib.GProgramUpload | ( | Pointer | g,
|  | byte[] | response,
|  | int | len )

## Member Data Documentation

## ◆ INSTANCE

Gclib gclibjava.GclibJava.Gclib.INSTANCE

Initial value:
= (Gclib)
Native.loadLibrary("gclib",
Gclib.class)
gclibjava.GclibJava.Gclib
The JNA interface to the gclib library.
Definition GclibJava.java:73

Definition at line 74 of file GclibJava.java.

## ◆ SYNC_INSTANCE

Gclib gclibjava.GclibJava.Gclib.SYNC_INSTANCE

Initial value:
= (Gclib)
Native.synchronizedLibrary(INSTANCE)
gclibjava.GclibJava.Gclib.INSTANCE
Gclib INSTANCE
Definition GclibJava.java:74

Definition at line 82 of file GclibJava.java.

The documentation for this interface was generated from the following file:

- GclibJava.java